QName Class Reference
Inheritance diagram for QName:

## Public Member Functions

| QName (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Default constructor. More...
| QName (const XMLCh *const prefix, const XMLCh *const localPart, const unsigned int uriId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a specified qname using prefix, and localpart. More...
| QName (const XMLCh *const rawName, const unsigned int uriId, MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
| Constructs a specified qname using rawName. More...
| QName (const QName &qname)
| Copy constructor. More...
| ~QName ()
const XMLCh * | getPrefix () const
XMLCh * | getPrefix ()
const XMLCh * | getLocalPart () const
XMLCh * | getLocalPart ()
unsigned int | getURI () const
const XMLCh * | getRawName () const
XMLCh * | getRawName ()
MemoryManager * | getMemoryManager () const
void | setName (const XMLCh *const prefix, const XMLCh *const localPart, const unsigned int uriId)
void | setName (const XMLCh *const rawName, const unsigned int uriId)
void | setPrefix (const XMLCh *)
void | setLocalPart (const XMLCh *)
void | setNPrefix (const XMLCh *, const XMLSize_t)
void | setNLocalPart (const XMLCh *, const XMLSize_t)
void | setURI (const unsigned int)
void | setValues (const QName &qname)
bool | operator== (const QName &) const
void | cleanUp ()
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new. More...
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation. More...
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new. More...
void | operator delete (void *p)
| This method overrides operator delete. More...
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new. More...
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new. More...

## Additional Inherited Members

Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor. More...

## Constructor & Destructor Documentation

## QName() [1/4]

QName::QName | ( | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager` | ) |

Default constructor.

## QName() [2/4]

QName::QName | ( | const XMLCh *const | prefix,
|  | const XMLCh *const | localPart,
|  | const unsigned int | uriId,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Constructs a specified qname using prefix, and localpart.

## QName() [3/4]

QName::QName | ( | const XMLCh *const | rawName,
|  | const unsigned int | uriId,
|  | MemoryManager *const | manager = `XMLPlatformUtils::fgMemoryManager`
| ) |  |

Constructs a specified qname using rawName.

## QName() [4/4]

QName::QName | ( | const QName & | qname | ) |

Copy constructor.

## ~QName()

QName::~QName | ( |  | ) |

## Member Function Documentation

## cleanUp()

void QName::cleanUp | ( |  | ) |

## getLocalPart() [1/2]

const XMLCh * QName::getLocalPart | ( |  | ) | const

## getLocalPart() [2/2]

XMLCh * QName::getLocalPart | ( |  | ) |

## getMemoryManager()

MemoryManager * QName::getMemoryManager | ( |  | ) | const

## getPrefix() [1/2]

const XMLCh * QName::getPrefix | ( |  | ) | const

## getPrefix() [2/2]

XMLCh * QName::getPrefix | ( |  | ) |

## getRawName() [1/2]

const XMLCh* QName::getRawName | ( |  | ) | const

## getRawName() [2/2]

XMLCh* QName::getRawName | ( |  | ) |

## getURI()

unsigned int QName::getURI | ( |  | ) | const

## operator==()

bool QName::operator== | ( | const QName & |  | ) | const

## setLocalPart()

void QName::setLocalPart | ( | const XMLCh * | localPart | ) |

References XMLString::stringLen(), and XERCES_CPP_NAMESPACE_END.

## setName() [1/2]

void QName::setName | ( | const XMLCh *const | prefix,
|  | const XMLCh *const | localPart,
|  | const unsigned int | uriId
| ) |  |

## setName() [2/2]

void QName::setName | ( | const XMLCh *const | rawName,
|  | const unsigned int | uriId
| ) |  |

## setNLocalPart()

void QName::setNLocalPart | ( | const XMLCh * | ,
|  | const XMLSize_t |
| ) |  |

## setNPrefix()

void QName::setNPrefix | ( | const XMLCh * | ,
|  | const XMLSize_t |
| ) |  |

## setPrefix()

void QName::setPrefix | ( | const XMLCh * | prefix | ) |

References XMLString::stringLen().

## setURI()

void QName::setURI | ( | const unsigned int | uriId | ) |

## setValues()

void QName::setValues | ( | const QName & | qname | ) |

The documentation for this class was generated from the following file:

- QName.hpp